LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
OpenMode.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ucb
| Universal Content Broker interfaces.

## Constant Groups
constants | com::sun::star::ucb::OpenMode
| These are the possible values for OpenCommandArgument::Mode.

## Variables
const short | ALL = 0
| open a folder, include all children in result set (documents and folders).
const short | FOLDERS = 1
| open a folder, include only children, that are folders, in result set.
const short | DOCUMENTS = 3
| open a folder, include only children, that are documents, in result set.
const short | DOCUMENT = 2
| open a document.
const short | DOCUMENT_SHARE_DENY_NONE = 4
| open a document.
const short | DOCUMENT_SHARE_DENY_WRITE = 5
| open a document.